Name:           xrdb
Version:        1.2.2
Release:        %mkrel 1
Summary:        X server resource database utility
Group:          Development/X11
License:        MIT
URL:            https://xorg.freedesktop.org/
Source:         https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(x11) >= 1.0.0
BuildRequires:  pkgconfig(xmu) >= 1.0.0
BuildRequires:  x11-util-macros >= 1.0.1

Requires:       mcpp

%description
Xrdb is used to get or set the contents of the RESOURCE_MANAGER property on the
root window of screen 0, or the SCREEN_RESOURCES property on the root window of
any or all screens, or everything combined.

%prep
%autosetup

%build
%configure --with-cpp=%{_bindir}/mcpp

%make_build

%install
%make_install

%files
%{_bindir}/xrdb
%{_mandir}/man1/xrdb.*


%changelog
* Tue Oct 31 2023 daviddavid <daviddavid> 1.2.2-1.mga10
+ Revision: 2003003
- new version: 1.2.2

* Wed Mar 30 2022 umeabot <umeabot> 1.2.1-2.mga9
+ Revision: 1835611
- Mageia 9 Mass Rebuild

* Mon Aug 16 2021 luigiwalser <luigiwalser> 1.2.1-1.mga9
+ Revision: 1741664
- 1.2.1

* Fri Feb 14 2020 umeabot <umeabot> 1.2.0-2.mga8
+ Revision: 1523108
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Feb 21 2019 tv <tv> 1.2.0-1.mga7
+ Revision: 1369066
- new release

* Sun Sep 23 2018 umeabot <umeabot> 1.1.1-2.mga7
+ Revision: 1301967
- Mageia 7 Mass Rebuild

* Sun Mar 11 2018 shlomif <shlomif> 1.1.1-1.mga7
+ Revision: 1208196
- New version 1.1.1

* Mon Feb 08 2016 umeabot <umeabot> 1.1.0-5.mga6
+ Revision: 946358
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-4.mga5
+ Revision: 740469
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.0-3.mga5
+ Revision: 690760
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1.0-2.mga4
+ Revision: 534480
- Mageia 4 Mass Rebuild

* Thu Sep 12 2013 tv <tv> 1.1.0-1.mga4
+ Revision: 477934
- new release

* Mon Jan 14 2013 umeabot <umeabot> 1.0.9-3.mga3
+ Revision: 387357
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Apr 15 2011 tv <tv> 1.0.9-2.mga1
+ Revision: 85999
- built with mccp to be required instead of (gcc-)cpp (smaller installed system)

* Tue Apr 05 2011 dmorgan <dmorgan> 1.0.9-1.mga1
+ Revision: 80899
- New version 1.0.9

* Tue Feb 22 2011 dmorgan <dmorgan> 1.0.8-1.mga1
+ Revision: 57088
- New version 1.0.8

* Sat Jan 15 2011 mikala <mikala> 1.0.7-1.mga1
+ Revision: 19243
- imported package xrdb


* Fri Nov 12 2010 Thierry Vignaud <tv@mandriva.org> 1.0.7-1mdv2011.0
+ Revision: 596550
- new release

* Wed Nov 11 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.0.6-1mdv2010.1
+ Revision: 464748
- New version: 1.0.6

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.0.5-3mdv2009.1
+ Revision: 350810
- rebuild

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.0.5-2mdv2009.0
+ Revision: 266152
- rebuild early 2009.0 package (before pixel changes)

* Mon Apr 14 2008 Thierry Vignaud <tv@mandriva.org> 1.0.5-1mdv2009.0
+ Revision: 193007
- new release

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert to use upstream tarball, build requires and remove non mandatory local patches.

* Thu Jan 17 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.4-2mdv2008.1
+ Revision: 154358
- Updated BuildRequires and resubmit package.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 17 2007 Thierry Vignaud <tv@mandriva.org> 1.0.4-1mdv2008.0
+ Revision: 64853
- fix man pages
- new release


* Mon Feb 05 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.0.3-1mdv2007.0
+ Revision: 116299
- new upstream version: 1.0.3
- rebuild to fix cooker uploading
- X11R7.1
- increment release
- Adding X.org 7.0 to the repository

  + Frederic Crozat <fcrozat@mandriva.com>
    - Add missing dependency on cpp

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fill in a couple of missing descriptions

